// StarPong v 0.95b (c) 1998 Graham Mitchell <mitchell@onr.com> - 22 Nov 1998

// trigtab.h
// header file for code to generate sin and cos tables

/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License (LICENSE.TXT) for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


#ifndef __TRIGTAB_H
#define __TRIGTAB_H

#include <math.h>

extern double sintab[360];
extern double costab[360];

const double radian_increment = M_PI/180.0;
const double toRAD = M_PI/180.0;
const double toDEG = 180.0/M_PI;

// calculate sin and cosine tables (just for grins)
void trig_table_init();

#endif
